## paperwork 2.1.1

=== Makefile ===
# order matters (dependencies)
ALL_COMPONENTS = \
	openpaperwork-core \
	openpaperwork-gtk \
	paperwork-backend \
	paperwork-shell \
	paperwork-gtk

RELEASE ?=

build:

openpaperwork-core_install_py:
	echo "Installing openpaperwork-core"
	$(MAKE) -C openpaperwork-core install_py

%_install_py: openpaperwork-core_install_py
	echo "Installing $(@:%_install_py=%)"
	$(MAKE) -C $(@:%_install_py=%) install_py


clean: $(ALL_COMPONENTS:%=%_clean)
	rm -rf build dist
	rm -rf venv
	rm -f data.tar.gz
	make -C sub/libinsane clean || true
	make -C sub/libpillowfight clean || true
	make -C sub/pyocr clean || true

install_py: download_data $(ALL_COMPONENTS:%=%_install_py)

install: install_py

uninstall: $(ALL_COMPONENTS:%=%_uninstall)

uninstall_py: $(ALL_COMPONENTS:%=%_uninstall_py)

uninstall_c: $(ALL_COMPONENTS:%=%_uninstall_c)

version: $(ALL_COMPONENTS:%=%_version)

check: $(ALL_COMPONENTS:%=%_check)

test: $(ALL_COMPONENTS:%=%_test)

data: $(ALL_COMPONENTS:%=%_data)

upload_data: data
	tar -cvzf data.tar.gz \
		paperwork-backend/src/paperwork_backend/authors/*.json \
		paperwork-gtk/src/paperwork_gtk/model/help/out/*.pdf \
		paperwork-gtk/src/paperwork_gtk/icon/out/*.png
	ci/deliver_data.sh data.tar.gz

data.tar.gz:
	ci/download_data.sh data.tar.gz

download_data: data.tar.gz
	tar -xvzf data.tar.gz

doc: $(ALL_COMPONENTS:%=%_doc)

upload_doc: $(ALL_COMPONENTS:%=%_upload_doc)

release_pypi: version download_data l10n_compile
	$(MAKE) $(ALL_COMPONENTS:%=%_release_pypi) RELEASE=${RELEASE}

release: $(ALL_COMPONENTS:%=%_release)
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	@echo "Also makes sure to update:"
	@echo "- AUTHORS.ui.json"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	git tag -a ${RELEASE} -m ${RELEASE}
	git push origin ${RELEASE}
	make clean
	make version
	make release_pypi
	@echo "All done"
	@echo "IMPORTANT: Don't forgot to add the latest release on Flathub !"
endif

linux_exe: $(ALL_COMPONENTS:%=%_linux_exe)

libinsane_win64:
	${MAKE} -C sub/libinsane clean
	${MAKE} -C sub/libinsane install PREFIX=/mingw64

pyocr_win64:
	${MAKE} -C sub/pyocr install

libpillowfight_win64:
	${MAKE} -C sub/libpillowfight install_py

windows_exe:
	# dirty hack to make cx_freeze happy
	# Cx_freeze looks for a file sqlite3.dll whereas in MSYS2, it's called
	# libsqlite3-0.dll
	mkdir -p /mingw64/DLLs
	cp /mingw64/bin/libsqlite3-0.dll /mingw64/DLLs/sqlite3.dll

	rm -rf $(CURDIR)/build/exe
	$(MAKE) $(ALL_COMPONENTS:%=%_windows_exe)

	# a bunch of things are missing
	mkdir -p $(CURDIR)/build/exe/lib
	cp -Ra /mingw64/lib/gdk-pixbuf-2.0 $(CURDIR)/build/exe/lib
	# 2nd part of the dirty hack to make cx_freeze happy
	rm -f $(CURDIR)/build/exe/lib/sqlite3.dll

	mkdir -p $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/icons $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/locale $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/themes $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/fontconfig $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/poppler $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/glib-2.0 $(CURDIR)/build/exe/share

	mkdir -p dist
	(cd $(CURDIR)/build/exe ; zip -r ../../dist/paperwork.zip *)

l10n_extract: $(ALL_COMPONENTS:%=%_l10n_extract)

l10n_compile: $(ALL_COMPONENTS:%=%_l10n_compile)

help:
	@echo "make build: run 'python3 ./setup.py build' in all components"
	@echo "make clean"
	@echo "make help: display this message"
	@echo "make install : run 'python3 ./setup.py install' on all components"
	@echo "make release"
	@echo "make uninstall : run 'pip3 uninstall -y (component)' on all components"
	@echo "make l10n_extract"
	@echo "make l10n_compile"
	@echo "Components:" ${ALL_COMPONENTS}

%_version:
	echo "Making version file $(@:%_version=%)"
	$(MAKE) -C $(@:%_version=%) version

%_check:
	echo "Checking $(@:%_check=%)"
	$(MAKE) -C $(@:%_check=%) check

%_test:
	echo "Testing $(@:%_test=%)"
	$(MAKE) -C $(@:%_test=%) test

%_upload_doc:
	echo "Uploading doc of $(@:%_upload_doc=%)"
	$(MAKE) -C $(@:%_upload_doc=%) upload_doc

%_doc:
	echo "Generating doc of $(@:%_doc=%)"
	$(MAKE) -C $(@:%_doc=%) doc

%_data:
	echo "Generating data files of $(@:%_data=%)"
	$(MAKE) -C $(@:%_data=%) data

%_clean:
	echo "Cleaning $(@:%_clean=%)"
	$(MAKE) -C $(@:%_clean=%) clean

%_uninstall:
	echo "Uninstalling $(@:%_uninstall=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall

%_uninstall_py:
	echo "Uninstalling $(@:%_uninstall_py=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall_py

%_uninstall_c:
	echo "Uninstalling $(@:%_uninstall_c=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall_c

%_release:
	echo "Releasing $(@:%_release=%)"
	$(MAKE) -C $(@:%_release=%) release RELEASE=$(RELEASE)

%_release_pypi:
	echo "Releasing $(@:%_release_pypi=%)"
	$(MAKE) -C $(@:%_release_pypi=%) release_pypi

%_linux_exe:
	echo "Building Linux exe for $(@:%_linux_exe=%)"
	$(MAKE) -C $(@:%_linux_exe=%) linux_exe

%_windows_exe: version l10n_compile download_data libinsane_win64 pyocr_win64 libpillowfight_win64
	echo "Building Windows exe for $(@:%_windows_exe=%)"
	$(MAKE) -C $(@:%_windows_exe=%) windows_exe

%_l10n_extract:
	echo "Extracting translatable strings from $(@:%_l10n_extract=%)"
	$(MAKE) -C $(@:%_l10n_extract=%) l10n_extract

%_l10n_compile:
	echo "Compiling translated strings for $(@:%_l10n_compile=%)"
	$(MAKE) -C $(@:%_l10n_compile=%) l10n_compile

venv:
	echo "Building virtual env"
	make -C sub/libinsane build_c
	virtualenv -p python3 --system-site-packages venv

.PHONY: help build clean test check install install_py install_c uninstall \
	uninstall_c uninstall_py release release_pypi libinsane_win64 \
	pyocr_win64 libpillowfight_win64 doc upload_doc data upload_data \
	download_data l10n_extract l10n_compile

=== nsis/Makefile ===
all: paperwork_stable_installer.exe paperwork_testing_installer.exe paperwork_develop_installer.exe

dll/INetC.dll:
	mkdir -p dll
	rm -rf tmp
	mkdir tmp
	cd tmp ; wget http://nsis.sourceforge.net/mediawiki/images/c/c9/Inetc.zip
	cd tmp ; unzip Inetc.zip
	cd tmp ; mv Plugins/x86-ansi/INetC.dll ../dll
	rm -rf tmp

dll/nsisunz.dll:
	mkdir -p dll
	rm -rf tmp
	mkdir tmp
	cd tmp ; wget http://nsis.sourceforge.net/mediawiki/images/1/1c/Nsisunz.zip
	cd tmp ; unzip Nsisunz.zip
	cd tmp ; mv nsisunz/Release/nsisunz.dll ../dll
	rm -rf tmp

out.nsi: gen_installer_nsi.py
	if [ -z "${RELEASE}" ] ; then echo "Syntax: make RELEASE=x.y.z DOWNLOAD_URI=https://pouet" ; exit 1 ; fi
	echo Release: ${RELEASE}
	echo Download URI: ${DOWNLOAD_URI}
	python3 ./gen_installer_nsi.py ${RELEASE} ${DOWNLOAD_URI}

paperwork_stable_installer.exe: dll/INetC.dll dll/nsisunz.dll
	rm -f out.nsi
	$(MAKE) out.nsi RELEASE=stable DOWNLOAD_URI=https://download.openpaper.work/windows/x86/paperwork-master-latest.zip
	makensis ./out.nsi
	mv -f paperwork_installer.exe paperwork_stable_installer.exe

paperwork_testing_installer.exe: dll/INetC.dll dll/nsisunz.dll
	rm -f out.nsi
	$(MAKE) out.nsi RELEASE=testing DOWNLOAD_URI=https://download.openpaper.work/windows/x86/paperwork-testing-latest.zip
	makensis ./out.nsi
	mv -f paperwork_installer.exe paperwork_testing_installer.exe

paperwork_develop_installer.exe: dll/INetC.dll dll/nsisunz.dll
	rm -f out.nsi
	$(MAKE) out.nsi RELEASE=develop DOWNLOAD_URI=https://download.openpaper.work/windows/x86/paperwork-develop-latest.zip
	makensis ./out.nsi
	mv -f paperwork_installer.exe paperwork_develop_installer.exe

clean:
	rm -rf dll
	rm -f out.nsi
	rm -f paperwork_installer.exe
	rm -f paperwork_stable_installer.exe
	rm -f paperwork_testing_installer.exe
	rm -f paperwork_develop_installer.exe

.PHONY = all

=== openpaperwork-core/Makefile ===
VERSION_FILE = src/openpaperwork_core/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo -n "version = \"" >| $@
	echo -n $(shell git describe --always) >> $@
	echo "\"" >> $@

doc: install_py
	$(MAKE) -C doc html

doc/_build/html/index.html: doc

upload_doc: doc/_build/html/index.html
	cd .. && ./ci/deliver_doc.sh ${CURDIR}/doc/_build/html openpaperwork_core

data:

check:
	flake8 src/openpaperwork_core

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:
	${PYTHON} /mingw64/bin/pip3-script.py install .
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-backend ..."
	${PYTHON} ./setup.py sdist
	twine upload $(CURDIR)/dist/openpaperwork-core-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -rf doc/_build
	rm -f ${VERSION_FILE}
	rm -rf build dist *.egg-info

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y openpaperwork-core

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

l10n_compile:
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/openpaperwork_core/l10n" \
		"openpaperwork_core"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_extract \
	l10n_compile \
	release \
	test \
	uninstall \
	uninstall_c \
	version

=== openpaperwork-gtk/Makefile ===
VERSION_FILE = src/openpaperwork_gtk/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo -n "version = \"" >| $@
	echo -n $(shell git describe --always) >> $@
	echo "\"" >> $@

doc: install_py
	$(MAKE) -C doc html

doc/_build/html/index.html: doc

data:

upload_doc: doc/_build/html/index.html
	cd .. && ./ci/deliver_doc.sh ${CURDIR}/doc/_build/html openpaperwork_gtk

check:
	flake8 src/openpaperwork_gtk

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:
	${PYTHON} /mingw64/bin/pip3-script.py install .
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.css' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.glade' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-backend ..."
	${PYTHON} ./setup.py sdist
	twine upload $(CURDIR)/dist/openpaperwork-gtk-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -rf doc/_build
	rm -f ${VERSION_FILE}
	rm -rf build dist *.egg-info

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y openpaperwork-gtk

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

l10n_compile:
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/openpaperwork_gtk/l10n" \
		"openpaperwork_gtk"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_compile \
	l10n_extract \
	release \
	test \
	uninstall \
	uninstall_c \
	version

=== paperwork-backend/Makefile ===
VERSION_FILE = src/paperwork_backend/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo -n "version = \"" >| $@
	echo -n $(shell git describe --always) >> $@
	echo "\"" >> $@

doc: install_py
	$(MAKE) -C doc html

doc/_build/html/index.html: doc

upload_doc: doc/_build/html/index.html
	cd .. && ./ci/deliver_doc.sh ${CURDIR}/doc/_build/html paperwork_backend

data:
	$(MAKE) -C $(CURDIR)/src/paperwork_backend/authors data

check:
	flake8 src/paperwork_backend

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:
	${PYTHON} /mingw64/bin/pip3-script.py install .
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-backend ..."
	${PYTHON} ./setup.py sdist
	twine upload dist/paperwork-backend-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -f ${VERSION_FILE}
	rm -rf build dist *.egg-info
	$(MAKE) -C $(CURDIR)/src/paperwork_backend/authors clean

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y paperwork-backend

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

l10n_compile:
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/paperwork_backend/l10n" \
		"paperwork_backend"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	data \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_compile \
	l10n_extract \
	release \
	test \
	upload_data \
	upload_doc \
	uninstall \
	uninstall_c \
	version

=== paperwork-gtk/Makefile ===
VERSION_FILE = src/paperwork_gtk/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo "# -*- coding: utf-8 -*-" >| $@
	echo -n "version = \"" >> $@
	echo -n $(shell git describe --always) >> $@
	$(eval branch_name = $(shell git symbolic-ref HEAD 2>/dev/null))
	if [ -n "${branch_name}" ] && [ "${branch_name}" != "refs/heads/master" ] ; then echo -n "-${branch_name}" >> $@ ; fi
	echo "\"" >> $@

doc:

upload_doc:

data:
	$(MAKE) -C src/paperwork_gtk/icon data
	$(MAKE) -C src/paperwork_gtk/model/help data

check:
	flake8 --exclude=_version.py src/paperwork_gtk

test: install
	python3 -m unittest discover --verbose -s tests

windows_exe:
	${PYTHON} /mingw64/bin/pip3-script.py install .
	${PYTHON} ./setup.py build_exe
	mkdir -p $(CURDIR)/../build/exe
	mv $$(find $(CURDIR)/build -type d -name exe\*)/* $(CURDIR)/../build/exe
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	# We need the .ico at the root of the data/ folder
	# The installer makes a desktop icon that expect paperwork_64.ico there,
	# and since we use the same installer for all versions (master, testing,
	# unstable, etc), we can't change this path yet.
	cp $(CURDIR)/src/paperwork_gtk/data/*.ico $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.css' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.glade' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.pdf' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.png' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.ico' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

linux_exe:

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
	@echo "Checking release is in work.openpaper.Paperwork.appdata.xml ..."
	grep ${RELEASE} src/paperwork_gtk/data/work.openpaper.Paperwork.appdata.xml
endif

release_pypi:
	@echo "Releasing paperwork-gtk (paperwork) ..."
	${PYTHON} ./setup.py sdist
	twine upload dist/paperwork-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -f ${VERSION_FILE}
	rm -rf build dist src/*.egg-info
	$(MAKE) -C src/paperwork_gtk/model/help clean
	$(MAKE) -C src/paperwork_gtk/icon clean

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y paperwork

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"
	$(MAKE) -C src/paperwork_gtk/model/help l10n_extract

l10n_compile:
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/paperwork_gtk/l10n" \
		"paperwork_gtk"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release || make release_pypi"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_extract \
	release \
	release_pypi \
	test \
	uninstall \
	uninstall_c \
	version

=== paperwork-shell/Makefile ===
VERSION_FILE = src/paperwork_shell/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo -n "version = \"" >| $@
	echo -n $(shell git describe --always) >> $@
	echo "\"" >> $@

doc:

upload_doc:

data:

check:
	flake8 src/paperwork_shell

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:
	${PYTHON} /mingw64/bin/pip3-script.py install .
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-shell ..."
	${PYTHON} ./setup.py sdist
	twine upload dist/paperwork-shell-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -f ${VERSION_FILE}
	rm -rf build dist *.egg-info

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE} l10n_compile
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y paperwork-shell

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

l10n_compile:
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/paperwork_shell/l10n" \
		"paperwork_shell"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_compile \
	l10n_extract \
	release \
	test \
	uninstall \
	uninstall_c \
	version

=== tools/docgenerator/Makefile ===
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:
	${PYTHON} ./setup.py build

build_c:

doc:

check:
	flake8 src/docgenerator

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:

release:

release_pypi:

clean:
	rm -rf build dist *.egg-info

install_py:
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y docgenerator

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	test \
	uninstall \
	uninstall_c \

=== tools/labelgenerator/Makefile ===
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:
	${PYTHON} ./setup.py build

build_c:

doc:

check:
	flake8 src/labelgenerator

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:

release:

release_pypi:

clean:
	rm -rf build dist *.egg-info

install_py:
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y labelgenerator

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	test \
	uninstall \
	uninstall_c \

=== paperwork-gtk/src/paperwork_gtk/icon/Makefile ===
all: data

out/paperwork_%.png: data/paperwork.svg
	convert -background None $(CURDIR)/$< -resize $*x$* $(CURDIR)/$@

data: \
	out/paperwork_16.png \
	out/paperwork_32.png \
	out/paperwork_48.png \
	out/paperwork_64.png \
	out/paperwork_128.png

clean:
	rm -f $(CURDIR)/out/*.png

.PHONY: all data clean

=== paperwork-gtk/src/paperwork_gtk/model/help/Makefile ===
all: data

out/paperwork_going_up.png: data/paperwork_going_up.svg
	convert $< $@

screenshots:
	[ -f $(CURDIR)/${OUT_INTRO_PDF} ] || LANG=C WAYLAND_DISPLAY= xvfb-run sh ./screenshot.sh

l10n_extract:
	cd $(CURDIR) && po4a -M UTF-8 -k 0 po4a.conf

l10n_compile: l10n_extract

out/translated_%.pdf: out/translated_%.tex l10n_compile screenshots out/paperwork_going_up.png
	# run pdflatex twice because of the TOC
	pdflatex --output-directory=out ../$<
	pdflatex --output-directory=out ../$<

out/%.pdf: data/%.tex l10n_compile screenshots out/paperwork_going_up.png
	# run pdflatex twice because of the TOC
	pdflatex --output-directory=out ../$<
	pdflatex --output-directory=out ../$<

clean:
	rm -f $(CURDIR)/out/*.png
	rm -f $(CURDIR)/out/*.pdf
	rm -f $(CURDIR)/out/*.toc
	rm -f $(CURDIR)/data/*.aux
	rm -f $(CURDIR)/data/*.log

data:
	rm -f $(CURDIR)/out/*.pdf
	rm -f $(CURDIR)/out/*.toc
	$(MAKE) \
		out/intro.pdf \
		out/translated_intro_de.pdf \
		out/translated_intro_fr.pdf \
		out/usage.pdf \
		out/translated_usage_de.pdf \
		out/translated_usage_fr.pdf

.PHONY: all clean screenshots data l10n_extract l10n_compile

=== debian/changelog ===
paperwork (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * debian/control: Remove python3-dateutil from Build-Depends
  * debian/patches: drop patch for scikit-learn requirement removal
    (see #1001578)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 23 Feb 2022 23:15:01 +0100

paperwork (2.1.0-2) unstable; urgency=medium

  * debian/patches: Re-disable chkdeps plugins (previous patch refresh failed
    to include that part)
  * debian/tests: Be more verbose about which package dependency is missing
  * debian/{control,tests}: Add libreoffice as Suggests

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 16 Dec 2021 23:14:42 +0100

paperwork (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/control:
    + Remove :any M-A qualifier from python3-all Build-Depends
    + Update build dependencies
    + Move dependencies to correct binary packages
    + Add python3-sklearn to Build-Depends
  * debian/watch: Update watch file for next upstream release
  * debian/patches:
    + Refresh patches for new upstream release
    + Reformat patches metadata
    + Remove scikit-learn from paperwork-backend requirements
      to workaround #1001578
  * debian/copyright: update years and add component license
  * debian/tests: remove workaround for ARM 32bits tests

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 13 Dec 2021 23:57:06 +0100

paperwork (2.0.3-3) unstable; urgency=medium

  * Add Multi-Arch indications
  * Re-enable html documentation builds

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 31 Oct 2021 13:27:51 +0100

paperwork (2.0.3-2) unstable; urgency=medium

  * Disable html documentation builds (see #995365)
  * Specify python3-all arch in Build-Depends to make lintian happy
  * Disable libinsane workaround for autopkgtests (fix #983515)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 11 Oct 2021 19:27:18 +0200

paperwork (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * debian/watch: Use source documents to build documentation from source
  * Build documentation PDFs from source
  * debian/control: Bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 29 Sep 2021 18:04:02 +0200

=== debian/control ===
Source: paperwork
Section: python
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-docutils,
 python3-sphinx,
 python3-sphinxcontrib.plantuml,
 sphinx-doc,
 po4a,
 imagemagick,
 texlive,
 texlive-lang-english,
 texlive-lang-french,
 texlive-lang-german,
 texlive-latex-extra,
 texlive-latex-recommended,
 lmodern,
 xvfb,
 xauth,
 python3-gi,
 gir1.2-poppler-0.18,
 python3-gi-cairo,
 gir1.2-gtk-3.0,
 gir1.2-notify-0.7,
 gir1.2-libinsane-1.0,
 gir1.2-handy-1,
 python3-distro,
 python3-pillow,
 python3-pypillowfight,
 python3-sklearn,
 python3-pyocr,
 python3-psutil,
 python3-pycountry,
 python3-whoosh,
 python3-fabulous,
 python3-levenshtein,
 python3-pyxdg,
 tesseract-ocr,
 librsvg2-bin,
Standards-Version: 4.6.0.1
Homepage: https://openpaper.work
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/paperwork
Vcs-Git: https://salsa.debian.org/openpaperwork-team/paperwork.git
Rules-Requires-Root: no

Package: openpaperwork-core
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends}, gir1.2-gdkpixbuf-2.0, gir1.2-glib-2.0, gir1.2-pango-1.0, gir1.2-poppler-0.18
Description: OpenPaperwork plugins manager - core plugins manager
 The core manages Plugins, Callbacks and Interfaces. This package also provide
 some basic plugins that may be used in any kind of application.
 .
 This package contains only core plugins. The GUI is included in paperwork-gtk
 package.

Package: openpaperwork-core-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: OpenPaperwork plugins manager - core plugins manager documentation
 The core manages Plugins, Callbacks and Interfaces. This package also provide
 some basic plugins that may be used in any kind of application.
 .
 This package contains the documentation

Package: openpaperwork-gtk
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends}, gir1.2-gdkpixbuf-2.0, gir1.2-gtk-3.0, gir1.2-handy-1, gir1.2-notify-0.7, gir1.2-pango-1.0
Suggests: paperwork-gtk
Description: OpenPaperwork Glib/GTK plugins manager
 This package extends the openpaperwork-core with GLib/GTK plugins that may be
 used in any GUI application.
 .
 This package contains only Glib/GTK plugins. The GUI is included in
 paperwork-gtk package.

Package: openpaperwork-gtk-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: OpenPaperwork Glib/GTK plugins manager - documentation
 This package extends the openpaperwork-core with GLib/GTK plugins that may be
 used in any GUI application.
 .
 This package contains the documentation

Package: paperwork-backend
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends}, openpaperwork-core (= ${binary:Version}), python3-gi, gir1.2-libinsane-1.0, python3-gi-cairo, python3-sklearn
Suggests: paperwork-shell, paperwork-gtk, libreoffice
Description: Personal document manager
 This is the backend part of Paperwork. It manages: The work directory / Access
 to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.

Package: paperwork-backend-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Paperwork is a personal document manager - backend documentation
 This is the backend part of Paperwork. It manages: The work directory / Access
 to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package contains the documentation

Package: paperwork-gtk
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends}, openpaperwork-core (= ${binary:Version}), openpaperwork-gtk (= ${binary:Version}), paperwork-backend (= ${binary:Version}), adwaita-icon-theme | gnome-icon-theme-symbolic, gnome-icon-theme, tesseract-ocr | cuneiform, aspell
Description: Paperwork is a personal document manager - GTK3 frontend
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package does not include localization files and dependencies. If you wish
 to install paperwork in your language, check the corresponding
 paperwork-gtk-l10n-* packages.

Package: paperwork-shell
Architecture: all
Multi-Arch: foreign
Section: utils
Depends: ${python3:Depends}, ${misc:Depends}, openpaperwork-core (= ${binary:Version}), paperwork-backend (= ${binary:Version})
Suggests: jq
Description: Paperwork is a personal document manager - command line utils
 Paperwork-shell provides 2 commands:
 * paperwork-cli: Human-friendly command line interface. For instance, it
   can be useful if you want to use Paperwork through SSH.
 * paperwork-json: Designed to be used in scripts. Results can be parsed in
   shell scripts using jq.

Package: paperwork-gtk-l10n-en
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-eng | cuneiform, aspell-en
Description: Gui for paperwork-backend - English localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This metapackage installs English localized dependencies.

Package: paperwork-gtk-l10n-fr
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-fra | cuneiform, aspell-fr
Description: Gui for paperwork-backend - French localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs French localized dependencies.

Package: paperwork-gtk-l10n-de
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-deu | cuneiform, aspell-de | aspell-de-1901
Description: Gui for paperwork-backend - German localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs German localized dependencies.

Package: paperwork-gtk-l10n-uk
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-ukr | cuneiform, aspell-uk
Description: Gui for paperwork-backend - Ukrainian localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Ukrainian localized dependencies.

Package: paperwork-gtk-l10n-es
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-spa | cuneiform, aspell-es
Description: Gui for paperwork-backend - Spanish localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Spanish localized dependencies.

Package: paperwork-gtk-l10n-oc
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-oci
Description: Gui for paperwork-backend - Occitan localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Occitan localized dependencies.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_VERBOSE=1


paperwork-backend/src/paperwork_backend/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

paperwork-gtk/src/paperwork_gtk/_version.py: debian/_version.py.in
	echo >> $@
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< >> $@

openpaperwork-core/src/openpaperwork_core/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

openpaperwork-gtk/src/openpaperwork_gtk/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@
	
paperwork-shell/src/paperwork_shell/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean: paperwork-backend/src/paperwork_backend/_version.py paperwork-gtk/src/paperwork_gtk/_version.py openpaperwork-core/src/openpaperwork_core/_version.py openpaperwork-gtk/src/openpaperwork_gtk/_version.py paperwork-shell/src/paperwork_shell/_version.py
	dh_auto_clean -D openpaperwork-core --buildsystem=pybuild
	dh_auto_clean -D openpaperwork-gtk --buildsystem=pybuild
	dh_auto_clean -D paperwork-gtk --buildsystem=pybuild
	dh_auto_clean -D paperwork-backend --buildsystem=pybuild
	dh_auto_clean -D paperwork-shell --buildsystem=pybuild
	$(RM) openpaperwork-core/src/openpaperwork_core/_version.py
	$(RM) openpaperwork-gtk/src/openpaperwork_gtk/_version.py
	$(RM) paperwork-backend/src/paperwork_backend/_version.py
	$(RM) paperwork-gtk/src/paperwork_gtk/_version.py
	$(RM) paperwork-shell/src/paperwork_shell/_version.py
	$(RM) debian/paperwork-gtk.1
	$(RM) debian/paperwork-cli.1
	$(RM) debian/paperwork-json.1

override_dh_auto_configure: paperwork-backend/src/paperwork_backend/_version.py paperwork-gtk/src/paperwork_gtk/_version.py openpaperwork-core/src/openpaperwork_core/_version.py openpaperwork-gtk/src/openpaperwork_gtk/_version.py paperwork-shell/src/paperwork_shell/_version.py
	dh_auto_configure -D openpaperwork-core --buildsystem=pybuild
	dh_auto_configure -D openpaperwork-gtk --buildsystem=pybuild
	dh_auto_configure -D paperwork-gtk --buildsystem=pybuild
	dh_auto_configure -D paperwork-backend --buildsystem=pybuild
	dh_auto_configure -D paperwork-shell --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -D openpaperwork-core --buildsystem=pybuild
	PYTHONPATH=openpaperwork-core/src python3 -m sphinx -N -bhtml openpaperwork-core/doc build/openpaperwork_core/html
	dh_auto_build -D openpaperwork-gtk --buildsystem=pybuild
	PYTHONPATH=openpaperwork-gtk/src python3 -m sphinx -N -bhtml openpaperwork-gtk/doc build/openpaperwork_gtk/html
	dh_auto_build -D paperwork-gtk --buildsystem=pybuild
	dh_auto_build -D paperwork-backend --buildsystem=pybuild
	PYTHONPATH=paperwork-backend/src python3 -m sphinx -N -bhtml paperwork-backend/doc build/paperwork_backend/html
	dh_auto_build -D paperwork-shell --buildsystem=pybuild
	rst2man debian/paperwork-gtk.rst debian/paperwork-gtk.1
	rst2man debian/paperwork-cli.rst debian/paperwork-cli.1
	rst2man debian/paperwork-json.rst debian/paperwork-json.1
	make l10n_compile

override_dh_auto_install:
	mkdir -p debian/tmp
	make -C paperwork-backend data
	make -C paperwork-gtk/src/paperwork_gtk/icon data
	dh_auto_install -D openpaperwork-core --buildsystem=pybuild
	dh_auto_install -D openpaperwork-gtk --buildsystem=pybuild
	dh_auto_install -D paperwork-gtk --buildsystem=pybuild
	dh_auto_install -D paperwork-backend --buildsystem=pybuild
	dh_auto_install -D paperwork-shell --buildsystem=pybuild
	PYTHONPATH="$(CURDIR)/debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/tmp/usr/bin:$(PATH)" make -C paperwork-gtk/src/paperwork_gtk/model/help data
	mkdir -p debian/tmp/usr/share
	mkdir -p debian/tmp/paperwork-home/config
	PYTHONPATH="$(CURDIR)/debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages/" PATH="$(CURDIR)/debian/tmp/usr/bin:$(PATH)" XDG_DATA_HOME="$(CURDIR)/debian/tmp/usr/share" XDG_CONFIG_HOME="$(CURDIR)/debian/tmp/paperwork-home/config" paperwork-gtk plugins add paperwork_gtk.cmd.install
	PYTHONPATH="$(CURDIR)/debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages/" PATH="$(CURDIR)/debian/tmp/usr/bin:$(PATH)" XDG_DATA_HOME="$(CURDIR)/debian/tmp/usr/share" XDG_CONFIG_HOME="$(CURDIR)/debian/tmp/paperwork-home/config" paperwork-gtk install --user
	$(RM) -r debian/tmp/usr/share/paperwork2
	$(RM) -r debian/tmp/paperwork-home

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.pdf

=== debian/tests/control ===
Tests: dangerous-plugins-disabled
Depends: @
Restrictions: allow-stderr

Tests: unittests
Depends: @, python3-psutil, libreoffice
Restrictions: allow-stderr

Tests: check-deps
Depends: @, jq, libreoffice
Restrictions: allow-stderr

Test-Command: /usr/bin/paperwork-gtk --help
Depends: paperwork-gtk
Restrictions: superficial, allow-stderr
Features: test-name=paperwork

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/paperwork.*\.tar\.gz/paperwork-$1\.tar\.gz/g,uversionmangle=s/\.post/post/ \
  https://gitlab.gnome.org/World/OpenPaperWork/paperwork/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
opts=component=test-documents,filenamemangle=s/.*\/archive\/(\d\S+)\/paperwork-test-documents.*\.tar\.gz/paperwork-test-documents-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/OpenPaperWork/paperwork-test-documents/tags?sort=updated_desc&search=^2.1 .*/archive/(\d\S+)/.*\.tar\.gz.* ignore uupdate

## paperwork 2.1.2

=== debian/changelog ===
paperwork (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * debian/patches: cherry-pick upstream commit to fix plugin adding/removing
  * Bumps Standards-Version to 4.6.2 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 04 Mar 2023 00:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  python3-pyxdg,
  tesseract-ocr,
  librsvg2-bin,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://openpaper.work
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/paperwork
 Vcs-Git: https://salsa.debian.org/openpaperwork-team/paperwork.git
